Querying Async Task Results
curl --request GET \
--url https://www.ailabapi.com/api/common/query-async-task-result \
--header 'ailabapi-api-key: <api-key>'import requests
url = "https://www.ailabapi.com/api/common/query-async-task-result"
headers = {"ailabapi-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ailabapi-api-key': '<api-key>'}};
fetch('https://www.ailabapi.com/api/common/query-async-task-result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "",
"log_id": "",
"error_detail": {
"code": "",
"code_message": "",
"message": ""
},
"task_status": 0
}AI COMMON
Querying Async Task Results
Query asynchronous task results by task ID, including task status and final result data when processing is complete.
GET
/
api
/
common
/
query-async-task-result
Querying Async Task Results
Authorizations
API Key for authentication
Query Parameters
The task_id returned by the asynchronous API.
Response
200 - application/json
Success
Request ID for debugging.
Log ID for debugging.
Show child attributes
Show child attributes
Task status.
0: queued.1: processing.2: completed.
Available options:
0, 1, 2 Result payload. Available when task_status is 2. Structure depends on the async API.

